unit uGameScreen;

interface

uses
  ElysionKronos,
  uBasic,
  uConfig,
  uGlobal,
  uMenu;

type
  TGameScreen = class(TelGameState)
  private
    
  public
    constructor Create; Override;
    destructor Destroy; Override;

    procedure Render; Override;
    procedure Update; Override;
    procedure HandleEvents; Override;
  published

  end;

implementation

constructor TGameScreen.Create;
begin
  
end;

destructor TGameScreen.Destroy;
begin
 
end;

procedure TGameScreen.Render;
begin
  
end;

procedure TGameScreen.Update;
begin
  
end;

procedure TGameScreen.HandleEvents;
begin

  
end;

end.

